package com.liquidnet.service.feign.kylin.api;

import feign.hystrix.FallbackFactory;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.stereotype.Component;

@Component
@FeignClient(name = "liquidnet-service-kylin",
        contextId = "", path = "",
        fallback = FallbackFactory.Default.class)
public interface FeignKylinClient {

    // 演出列表
    @GetMapping(value =  "performanceList")
    ResponseDto<PerformanceVo> performanceList(@RequestParam List<String> performancesIds) {
        //条件
        Query query = new Query();
        query.addCriteria(Criteria.where("performancesId").in(performancesIds));

        List<PerformanceVo> list = mongoTemplate.find(query, PerformanceVo.class, PerformanceVo.class.getSimpleName());

        return list;
    }
}
